package com.iqser.red.service.persistence.service.v1.api.shared.model.dossiertemplate.type;

import com.iqser.red.service.persistence.service.v1.api.shared.model.analysislog.entitylog.EntryType;

public enum DictionaryEntryType {
    ENTRY,
    FALSE_POSITIVE {
        @Override
        public EntryType toEntryType() {

            return EntryType.FALSE_POSITIVE;
        }
    },
    FALSE_RECOMMENDATION {
        @Override
        public EntryType toEntryType() {

            return EntryType.FALSE_RECOMMENDATION;
        }
    };


    public EntryType toEntryType() {

        return EntryType.ENTITY;
    }
}
